//---------------------------------------------------------------------------
#ifndef UdbplanH
#define UdbplanH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "DBPlanner.hpp"
#include "Planner.hpp"
#include <ComCtrls.hpp>
#include <Db.hpp>
#include <DBCtrls.hpp>
#include <DBGrids.hpp>
#include <DBTables.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <Grids.hpp>
#include <ImgList.hpp>
#include <Mask.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label5;
        TDBPlanner *DBPlanner1;
        TDBNavigator *DBNavigator1;
        TDBPlanner *DBPlanner2;
        TDBEdit *DBEdit1;
        TDBMemo *DBMemo1;
        TDBEdit *DBEdit2;
        TMonthCalendar *MonthCalendar1;
        TTable *Table1;
        TDataSource *DataSource1;
        TPopupMenu *ItemPopup;
        TMenuItem *Color1;
        TMenuItem *Caption1;
        TColorDialog *ColorDialog1;
        TImageList *ImageList1;
        TDBGrid *DBGrid2;
        TDBDaySource *DBDaySource1;
        TDBDaySource *DBDaySource2;
        void __fastcall MonthCalendar1Click(TObject *Sender);
        void __fastcall DBDaySource1FieldsToItem(TObject *Sender,
          TFields *Fields, TPlannerItem *Item);
        void __fastcall DBPlanner1ItemInsert(TObject *Sender, int Position,
          int FromSel, int FromSelPrecise, int ToSel, int ToSelPrecise);
        void __fastcall DBPlanner1ItemDelete(TObject *Sender,
          TPlannerItem *Item);
        void __fastcall Table1AfterDelete(TDataSet *DataSet);
        void __fastcall Color1Click(TObject *Sender);
        void __fastcall DBDaySource1ItemToFields(TObject *Sender,
          TFields *Fields, TPlannerItem *Item);
        void __fastcall DBPlanner1ItemPopupPrepare(TObject *Sender,
          TPopupMenu *PopupMenu, TPlannerItem *Item);
        void __fastcall Caption1Click(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall DBPlanner1PlannerNext(TObject *Sender);
        void __fastcall DBPlanner1PlannerPrev(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
        void __fastcall UpdateHeaders(void);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
